.libPaths( c('/tmp2/b04401068/lib/R/',.libPaths()))
library(RColorBrewer)
library(ggplot2)

#5-1 sg validation
if(FALSE)
{
	mat_all <- read.csv( 'working_data/com_sg_validation.csv', row.names = 1);
	pdf("5_sg_validation.pdf", width = 8, height = 7, onefile = TRUE)
	mat_all$study <- factor(mat_all$study)
	mat_all$cell <- factor(mat_all$cell)
	mat_all$gene_pair <- factor(mat_all$gene_pair)
	mat <- mat_all
	#mat[,'sl'] <- mat[,'sl'] * (-1)
	graph <- ggplot(mat, aes(x = gi, y = sl)) +
		geom_point( aes(fill = study), colour = 'black', pch = 21, alpha = 0.6, size = 2) +
		geom_smooth(method='lm', formula = 'y~x')+
		scale_fill_brewer(palette = 'Dark2', guide = FALSE)+
		guides( fill=FALSE)+
		labs()

	graph <- graph +
		theme_classic()+
		theme(panel.border = element_blank(),
		      axis.line = element_line(),
		      plot.title=element_text(size=20, 
					    face="bold", 
					    #family="American Typewriter",
					    #color="tomato",
					    hjust=0.5,
					    lineheight=1.2),  # title
		    plot.subtitle=element_text(size=15, 
					       #family="American Typewriter",
					       face="bold",
					       hjust=0.5),  # subtitle
		    plot.caption=element_text(size=15),  # caption
		    axis.title.x=element_text(
					      #vjust=10,  
					      size=20),  # X axis title
		    axis.title.y=element_text(size=25),  # Y axis title
		    axis.text.x=element_text(size=20, 
					     #angle = 30,
					     #vjust=.5
					     ),  # X axis text
		    axis.text.y=element_text(size=20),
			axis.ticks.length = unit(.25, 'cm'))
	print(graph)
	graph <- ggplot(mat, aes(x = gi, y = sl)) +
		geom_point( aes(fill = cell), colour = 'black', pch = 21, alpha = 0.6, size = 2) +
		geom_smooth(method='lm')+
		scale_fill_brewer(palette = 'Dark2')+
		labs()

	graph <- graph +
		theme_classic()+
		theme(panel.border = element_blank(),
		      axis.line = element_line(),
		      plot.title=element_text(size=20, 
					    face="bold", 
					    #family="American Typewriter",
					    #color="tomato",
					    hjust=0.5,
					    lineheight=1.2),  # title
		    plot.subtitle=element_text(size=15, 
					       #family="American Typewriter",
					       face="bold",
					       hjust=0.5),  # subtitle
		    plot.caption=element_text(size=15),  # caption
		    axis.title.x=element_text(
					      #vjust=10,  
					      size=20),  # X axis title
		    axis.title.y=element_text(size=25),  # Y axis title
		    axis.text.x=element_text(size=20, 
					     #angle = 30,
					     #vjust=.5
					     ),  # X axis text
		    axis.text.y=element_text(size=20),
			axis.ticks.length = unit(.25, 'cm'))
	print(graph)
	mat <- read.csv( 'working_data/com_sg_cut.csv', row.names = 1);
	graph <- ggplot(mat, aes(x = cut, y = r)) +
		geom_point( fill = 'black', colour = 'black', pch = 21, alpha = 0.6, size = 2.5) +
		geom_smooth(method='lm')+
		labs()

	graph <- graph +
		theme_classic()+
		theme(panel.border = element_blank(),
		      axis.line = element_line(),
		      plot.title=element_text(size=20, 
					    face="bold", 
					    #family="American Typewriter",
					    #color="tomato",
					    hjust=0.5,
					    lineheight=1.2),  # title
		    plot.subtitle=element_text(size=15, 
					       #family="American Typewriter",
					       face="bold",
					       hjust=0.5),  # subtitle
		    plot.caption=element_text(size=15),  # caption
		    axis.title.x=element_text(
					      #vjust=10,  
					      size=15),  # X axis title
		    axis.title.y=element_text(size=15),  # Y axis title
		    axis.text.x=element_text(size=15, 
					     #angle = 30,
					     #vjust=.5
					     ),  # X axis text
		    axis.text.y=element_text(size=15),
			axis.ticks.length = unit(.25, 'cm'))
	print(graph)
	dev.off()
}

#5-2
if(FALSE)
{
	library(ggbeeswarm)
	pdf("5_sg_perc.pdf", width = 8, height = 7, onefile = TRUE)
	mat <- read.csv( 'working_data/com_sg_perc.csv');
	mat <- mat[mat$perc > 19,]
	mat$perc <- factor(mat$perc)
	graph <- ggplot(mat, aes(x = cut, y = r, color = perc)) +
		geom_point(alpha = 0.6, size = 2.5) +
		geom_pointline()+
		labs()

	graph <- graph +
		theme_classic()+
		theme(panel.border = element_blank(),
		      axis.line = element_line(),
		      plot.title=element_text(size=20, 
					    face="bold", 
					    #family="American Typewriter",
					    #color="tomato",
					    hjust=0.5,
					    lineheight=1.2),  # title
		    plot.subtitle=element_text(size=15, 
					       #family="American Typewriter",
					       face="bold",
					       hjust=0.5),  # subtitle
		    plot.caption=element_text(size=15),  # caption
		    axis.title.x=element_text(
					      #vjust=10,  
					      size=15),  # X axis title
		    axis.title.y=element_text(size=15),  # Y axis title
		    axis.text.x=element_text(size=15, 
					     #angle = 30,
					     #vjust=.5
					     ),  # X axis text
		    axis.text.y=element_text(size=15),
			axis.ticks.length = unit(.25, 'cm'))
	print(graph)

	dev.off()
}

