import argparse
import numpy as np
import pandas as pd
import random
import pickle
import re

parser = argparse.ArgumentParser()

parser.add_argument('-i')

args = parser.parse_args()

exp_file = args.i

df = pd.read_csv( exp_file )


for i in range(5):
	for ( colName, colData ) in df.iteritems():
		if re.search('Unnamed', colName):
			continue

		shuffleData = np.random.permutation(colData.values)
		df[colName] = shuffleData

	pickleName = 'shuffled_ccle_expression_' + str(i+1) + '.pkl'
	df.to_pickle(pickleName)
	if i == 1:
		pickleName = 'shuffled_ccle_expression_' + str(i+1) + '.csv'
		df.to_csv(pickleName)
